Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath.functions
Class xpathString

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xml.xpath.functions.xpathString

    public class xpathString

extends Function

This class implements the XPath string(object?) built-in function

Constructor Summary
`xpathString()` Construct an object for the string() function

Method Summary
`ExpressionValue` | `invoke(Object[] args)` Perform string() function
`StringValue` | `string(Node contextNode, ExpressionContext context, Object[] args)` Perform string() function
`String` | `toString()` Return function name.

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xpathString

    public xpathString()

  Construct an object for the string() function

Method Detail

### invoke

    public ExpressionValue invoke(Object[] args)
                           throws XPathEvaluationException

  Perform string() function

  Overrides:
    `invoke` in class `Function`
  Parameters:
    `args` - List of arguments. First first argument must be the context node. The second argument must be the expression context object The third argument may not exist, or it may be an expression value
  Returns:
    A string value containing the conversion or either the current context node (if no third parm) or the converted expression value
  Throws:
    `XPathEvaluationException`

### string

    public StringValue string(Node contextNode,
                              ExpressionContext context,
                              Object[] args)

  Perform string() function

  Parameters:
    `contextNode` - context node for expression
    `context` - expression context for expression
    `args` - additional arguments

### toString

    public String toString()

  Return function name.

  Overrides:
    `toString` in class `Object`
  Returns:
    Function name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD